Package org.jdesktop.application.session

# Class WindowState

java.lang.Object
org.jdesktop.application.session.WindowState

public class WindowState extends Object
This Java Bean defines the `Window` state preserved across sessions: the Window's `bounds`, and the bounds of the Window's `GraphicsConfiguration`, i.e. the bounds of the screen that the Window appears on. If the Window is actually a Frame, we also store its extendedState. `WindowState` objects are stored and restored by the `WindowProperty` class.

See Also:
  - `WindowProperty`
  - `SessionStorage.save(java.awt.Component, java.lang.String)`
  - `SessionStorage.restore(java.awt.Component, java.lang.String)`

## Constructor Summary

Constructors
Constructor
Description
`WindowState()`
`WindowState(Rectangle bounds, Rectangle gcBounds, int screenCount, int frameState)`

## Method Summary

Modifier and Type
Method
Description
`Rectangle`
`getBounds()`
`int`
`getFrameState()`
`Rectangle`
`getGraphicsConfigurationBounds()`
`int`
`getScreenCount()`
`void`
`setBounds(Rectangle bounds)`
`void`
`setFrameState(int frameState)`
`void`
`setGraphicsConfigurationBounds(Rectangle gcBounds)`
`void`
`setScreenCount(int screenCount)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WindowState

public WindowState()

### WindowState

public WindowState(Rectangle bounds, Rectangle gcBounds, int screenCount, int frameState)

## Method Details

### getBounds

public Rectangle getBounds()

### setBounds

public void setBounds(Rectangle bounds)

### getScreenCount

public int getScreenCount()

### setScreenCount

public void setScreenCount(int screenCount)

### getFrameState

public int getFrameState()

### setFrameState

public void setFrameState(int frameState)

### getGraphicsConfigurationBounds

public Rectangle getGraphicsConfigurationBounds()

### setGraphicsConfigurationBounds

public void setGraphicsConfigurationBounds(Rectangle gcBounds)